AOZ Studio Beta - Bug #513

Every N Proc PROCNAME is broken in RC3.
09/26/2020 11:27 AM - Brian Flanagan

Status: Closed Start date: 09/26/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: Beta RC4

Affected version: Beta RC3

Description

The Every statement fails when used to call Procedures in Beta RC3.
It worked fine in version Beta RC2.

(The Gosub version works.)

Example:

Every 6 Proc ReadClock

Wait Key

Procedure ReadClock
Locate 0,0 : Print Using "###############4"; Timer
Every On

End Proc

Resulting errors:

raoz.js:458 procReadClock is not defined

raoz.js:459 ReferenceError: procReadClock is not defined
at Application.blocks.<computed> (application.js:43)

at doUpdate (raoz.js:446)
raoz.js:802 Internal error at line: 6, column: 1 in file main.aoz.

History

#1 - 09/27/2020 03:43 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#2 - 10/06/2020 08:33 PM - Francois Lionet

- Target version set to Beta RC4

Works in RC4

#3 - 10/09/2020 12:23 PM - Brian Flanagan

- Status changed from Resolved to Closed

Works with 10/9 updates.
